summaryrefslogtreecommitdiff
path: root/dev-python/PyUtilib
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/PyUtilib
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/PyUtilib')
-rw-r--r--dev-python/PyUtilib/Manifest1
-rw-r--r--dev-python/PyUtilib/PyUtilib-5.7.2.ebuild61
-rw-r--r--dev-python/PyUtilib/files/pyutilib-5.6.5-tests.patch35
-rw-r--r--dev-python/PyUtilib/metadata.xml12
4 files changed, 109 insertions, 0 deletions
diff --git a/dev-python/PyUtilib/Manifest b/dev-python/PyUtilib/Manifest
new file mode 100644
index 000000000000..728046d1d580
--- /dev/null
+++ b/dev-python/PyUtilib/Manifest
@@ -0,0 +1 @@
+DIST PyUtilib-5.7.2.tar.gz 1566034 BLAKE2B 913c6576b39f14c19e2e633c36ade33fe812c77a37374c7c14d2fb4384ca38f68efd55209d70e96d9a78fea2fcf1cf83423680d0787da2d03cab88e59a208b96 SHA512 d9d7d890cdb524bb055885354784f2af01967164ce88cf3b144ccffb0a855ef34243fd518c58193517ecfc50f3c2e3ca333f026951c1ab0b38ce181ecf9e7750
diff --git a/dev-python/PyUtilib/PyUtilib-5.7.2.ebuild b/dev-python/PyUtilib/PyUtilib-5.7.2.ebuild
new file mode 100644
index 000000000000..38d68ddf6073
--- /dev/null
+++ b/dev-python/PyUtilib/PyUtilib-5.7.2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_IN_SOURCE_BUILD=1
+
+inherit distutils-r1
+
+DESCRIPTION="A collection of Python utilities"
+HOMEPAGE="https://github.com/PyUtilib/pyutilib"
+SRC_URI="https://github.com/${PN}/${PN,,}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN,,}-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+BDEPEND="${RDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}/pyutilib-5.6.5-tests.patch"
+)
+
+python_prepare_all() {
+ # remove some tests that are completely broken
+ rm pyutilib/component/app/tests/test_simple.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ distutils_install_for_testing
+
+ local -x PYTHONPATH="${PWD}:${TEST_DIR}/lib" \
+ COLUMNS=80
+
+ nosetests -v --with-xunit --xunit-file=TEST-pyutilib.xml pyutilib || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ find "${ED}" -name '*.pth' -delete || die
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ if ! python_is_python3; then
+ printf "# Placeholder for python2\n" \
+ > "${D}$(python_get_sitedir)/${PN,,}/__init__.py"
+
+ python_optimize
+ fi
+}
diff --git a/dev-python/PyUtilib/files/pyutilib-5.6.5-tests.patch b/dev-python/PyUtilib/files/pyutilib-5.6.5-tests.patch
new file mode 100644
index 000000000000..780c586759af
--- /dev/null
+++ b/dev-python/PyUtilib/files/pyutilib-5.6.5-tests.patch
@@ -0,0 +1,35 @@
+diff --git a/pyutilib/dev/entry_point.py b/pyutilib/dev/entry_point.py
+index e571cc7..e0200e9 100644
+--- a/pyutilib/dev/entry_point.py
++++ b/pyutilib/dev/entry_point.py
+@@ -23,7 +23,8 @@ def run_entry_point(package, script, args=[], **kwds):
+ script = str(script)
+ assert type(args) is list
+ cmdLine \
+- = "import pkg_resources,sys; "\
++ = "import pkg_resources,sys,os; "\
++ "pkg_resources.fixup_namespace_packages(os.path.join(os.getcwd(),'build')); "\
+ "sys.argv=%r; "\
+ "sys.exit(pkg_resources.load_entry_point(%r,'console_scripts',%r)())" \
+ % ( [script]+args, package, script )
+diff --git a/pyutilib/enum/tests/test_enum.py b/pyutilib/enum/tests/test_enum.py
+index 52451ef..66313f4 100755
+--- a/pyutilib/enum/tests/test_enum.py
++++ b/pyutilib/enum/tests/test_enum.py
+@@ -11,7 +11,7 @@
+ """ Unit test for ‘enum’ module.
+ """
+
+-import unittest
++import unittest, sys
+
+ import pyutilib.enum.enum as enum
+
+@@ -355,6 +355,7 @@ class Test_EnumValue(unittest.TestCase):
+ for other_value in self.other_values:
+ self.assertNotEqual(test_value, other_value)
+
++ @unittest.skipIf(sys.hexversion > 0x03040000, "can't compare int and tuple on python3")
+ def test_sequence_other_values(self):
+ # An EnumValue should compare sequentially to other values.
+ test_value = enum.EnumValue(self.SimpleEnum, 0, 'test')
diff --git a/dev-python/PyUtilib/metadata.xml b/dev-python/PyUtilib/metadata.xml
new file mode 100644
index 000000000000..570886b99d4d
--- /dev/null
+++ b/dev-python/PyUtilib/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ </maintainer>
+ <maintainer type="person">
+ <email>chutzpah@gentoo.org</email>
+ <name>Patrick McLean</name>
+ </maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>